# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Module-CPANTS-Analyse
Version:	0.85
Release:	10.%{__distinit}%{__distvers}
Summary:	Generate Kwalitee ratings for a distribution
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Module-CPANTS-Analyse/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHORNY/Module-CPANTS-Analyse-%{version}.tar.gz
Patch0:		Module-CPANTS-Analyse-0.85-use_test_cpan_meta_yaml_version.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Archive::Any) >= 0.06
BuildRequires:	perl(Archive::Tar) >= 1.30
BuildRequires:	perl(Array::Diff) >= 0.04
BuildRequires:	perl(Class::Accessor) >= 0.19
BuildRequires:	perl(CPAN::DistnameInfo) >= 0.06
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(IO::Capture) >= 0.05
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Module::ExtractUse) >= 0.18
BuildRequires:	perl(Module::Pluggable) >= 2.96
BuildRequires:	perl(Pod::Simple::Checker) >= 2.02
BuildRequires:	perl(Readonly)
BuildRequires:	perl(Software::License)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoWarnings)
# Perl::Critic not available prior to FC-5 and Perl 5.8.8
# We need to avoid it when bootstrapping because some of Perl::Critic's dependencies
# such as PPIx::Regexp and Exception::Class want to use Test::Kwalitee, which of course
# requires Module::CPANTS::Analyse
%if %(perl -e 'print (($^V and $^V ge 5.8.8) ? 1 : 0);') && 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(Test::Pod)
# Naked subroutines present in 0.85
#BuildRequires:	 perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(Test::CPAN::Meta::YAML::Version) >= 0.11
BuildRequires:	perl(Text::CSV_XS)
BuildRequires:	perl(version) >= 0.73
BuildRequires:	perl(YAML::Syck) >= 0.95
Requires:	perl(Archive::Any) >= 0.06
Requires:	perl(Archive::Tar) >= 1.30
Requires:	perl(Array::Diff) >= 0.04
Requires:	perl(Class::Accessor) >= 0.19
Requires:	perl(CPAN::DistnameInfo) >= 0.06
Requires:	perl(IO::Capture) >= 0.05
Requires:	perl(Module::ExtractUse) >= 0.18
Requires:	perl(Module::Pluggable) >= 2.96
Requires:	perl(Pod::Simple::Checker) >= 2.02
Requires:	perl(Test::CPAN::Meta::YAML::Version) >= 0.11
Requires:	perl(version) >= 0.73
Requires:	perl(YAML::Syck) >= 0.95
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
CPANTS is an acronym for CPAN Testing Service. The goals of the CPANTS project
are to provide some sort of quality measure (called "Kwalitee") and lots of
metadata for all distributions on CPAN.

%prep
%setup -q -n Module-CPANTS-Analyse-%{version}

# Test::YAML::Meta::Version superseded by Test::CPAN::Meta::YAML::Version
# (CPAN RT#65903)
%patch0 -p1

# Fix line endings
sed -i -e 's/\r$//' bin/cpants_lint.pl Changes README TODO

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
LC_ALL=C ./Build test
LC_ALL=C AUTHOR_TEST=1 ./Build test --test_files="xt/*.t"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%attr(0755, root, root) %{_bindir}/cpants_lint.pl
%{perl_vendorlib}/Module/
%{_mandir}/man1/cpants_lint.pl.1*
%{_mandir}/man3/Module::CPANTS::Analyse.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::BrokenInstaller.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::CpantsErrors.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Distname.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Distros.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Files.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::FindModules.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::License.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Manifest.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::MetaYML.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::NeedsCompiler.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Pod.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Prereq.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Repackageable.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Uses.3pm*
%{_mandir}/man3/Module::CPANTS::Kwalitee::Version.3pm*

%changelog
* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.85-10
- Don't BR: perl(Test::Perl::Critic) when bootstrapping

* Wed Jun 29 2011 Paul Howarth <paul@city-fan.org> - 0.85-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Mar 17 2011 Paul Howarth <paul@city-fan.org> - 0.85-8
- Import from Fedora

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.85-6
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.85-5
- Mass rebuild with perl-5.12.0

* Tue Jan 12 2010 Daniel P. Berrange <berrange@redhat.com> - 0.85-4
- Fix source URL

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.85-3
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.85-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Daniel P. Berrange <berrange@redhat.com> - 0.85-1
- Update to 0.85 release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.82-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct  3 2008 Daniel P. Berrange <berrange@redhat.com> - 0.82-2
- Added more new & missing BRs

* Fri Sep  5 2008 Daniel P. Berrange <berrange@redhat.com> - 0.82-1
- Update to 0.82 release

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.75-3
- Rebuild for new perl

* Wed Dec 26 2007 Daniel P. Berrange <berrange@redhat.com> - 0.75-2
- Added Test::Deep, Test::Pod, Test::Pod::Coverage build requires

* Fri Dec 21 2007 Daniel P. Berrange <berrange@redhat.com> - 0.75-1
- Specfile autogenerated by cpanspec 1.73
